.body {
  background-color: #fefefe;
}

.body-full-width {
  position: relative;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-box-align: stretch;
  -webkit-align-items: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
}

.left-nav-bg {
  position: fixed;
  left: 0%;
  top: 0%;
  right: auto;
  bottom: 0%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 72px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  background-color: #fff;
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
}

.top-bar {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 100vw;
  height: 56px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  background-color: #ecddff;
}

.main-content {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  overflow: visible;
  width: 100vw;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
}

.dapps {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-flex-wrap: nowrap;
  -ms-flex-wrap: nowrap;
  flex-wrap: nowrap;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  background-color: transparent;
}

.categories {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 75vw;
  max-width: 936px;
  margin-top: -100px;
  /* margin-left: 72px; */
  padding-bottom: 0px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  border-bottom: 1px none #000;
  border-radius: 8px 8px 0px 0px;
  background-color: #fff;
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
}

.categories.empty {
  margin-top: -148px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: stretch;
  -webkit-align-items: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
}

.webby-logo {
  height: 32px;
  margin: 11px 11px 11px 16px;
}

.top-bar-content {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 75vw;
  max-width: 936px;
  /*margin-left: 72px;*/
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

.top-bar-search {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 344px;
  height: 40px;
  margin-right: 8px;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  align-self: center;
  border-radius: 8px;
  background-color: hsla(0, 0%, 100%, 0.5);
}

.search-icon {
  width: 24px;
  height: 24px;
  margin-right: 8px;
  margin-left: 8px;
}

.top-bar-search-left {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.search-text {
  height: 20px;
  font-family: "IBM Plex Sans", sans-serif;
  color: rgba(0, 0, 0, 0.5);
  font-size: 16px;
}

.top-bar-search-right {
  width: 28px;
  height: 28px;
  margin-right: 8px;
  margin-left: 8px;
  border-radius: 20px;
  background-image: url("/statics/images/avatarrghh.jpg");
  background-position: 50% 50%;
  background-size: cover;
}

.favorites-block-content {
  width: 75vw;
  height: auto;
  max-width: 936px;
  margin-top: 24px;
  /* margin-left: 72px; */
}

.header-1 {
  height: 32px;
  margin: 0px 24px;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  -ms-grid-row-align: center;
  align-self: center;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 24px;
  line-height: 32px;
  font-weight: 600;
}

.favorites-row {
  display: -ms-grid;
  display: grid;
  margin-top: 24px;
  margin-bottom: 124px;
  padding-right: 24px;
  padding-left: 24px;
  -webkit-box-pack: stretch;
  -webkit-justify-content: stretch;
  -ms-flex-pack: stretch;
  justify-content: stretch;
  justify-items: start;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  grid-auto-columns: 1fr;
  grid-auto-rows: minmax(80px, 1fr);
  grid-column-gap: 80px;
  grid-row-gap: 24px;
  grid-template-columns:
    repeat(auto-fit, minmax(64px, 1fr)) minmax(64px, 1fr) minmax(64px, 1fr) minmax(64px, 1fr) minmax(64px, 1fr);
  -ms-grid-rows: minmax(80px, 1fr);
  grid-template-rows: minmax(80px, 1fr);
}

.favorite-dapp-logo-button {
  overflow: hidden;
  width: 64px;
  height: 64px;
  margin-right: 0px;
  margin-bottom: 8px;
  margin-left: 0px;
  border-radius: 18px;
  background-color: #fff;
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
  -webkit-transition: -webkit-transform 200ms ease;
  transition: -webkit-transform 200ms ease;
  transition: transform 200ms ease;
  transition: transform 200ms ease, -webkit-transform 200ms ease;
}

.favorite-dapp-logo-button:hover {
  box-shadow: 0 23px 32px 0 rgba(120, 93, 153, 0.2);
  -webkit-transform: translate(0px, -4px);
  -ms-transform: translate(0px, -4px);
  transform: translate(0px, -4px);
}

.favoirte-dapp {
  margin: 0px;
}

.favorite-dapp-title {
  margin-top: 0px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 12px;
  line-height: 15px;
  text-align: center;
  letter-spacing: 0.39px;
}

.favorite-dapp-title-container {
  overflow: hidden;
}

.app {
  width: 100%;
  height: 100%;
  background-image: url("/statics/images/star.svg");
  background-position: 50% 50%;
  background-size: cover;
}

.contact {
  width: 100%;
  height: 100%;
  background-image: url("/statics/images/icons/bxs-camera-plus.svg");
  background-position: 50% 50%;
  background-size: cover;
}

.favorites-block {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-flex-wrap: nowrap;
  -ms-flex-wrap: nowrap;
  flex-wrap: nowrap;
  background-color: #f5eeff;
}

.category-type-title {
  margin-left: 24px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #7f36da;
  font-size: 18px;
  font-weight: 600;
}

.category-dapp-logo-outlined {
  width: 56px;
  height: 56px;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  border-style: solid;
  border-width: 1px;
  border-color: hsla(0, 0%, 76.9%, 0.3);
  border-radius: 16px;
  background-color: #fff;
  background-image: url("/statics/images/placeholder.png");
  background-position: 50% 50%;
  background-size: cover;
}

.category-dapp-title {
  overflow: hidden;
  height: 15px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 12px;
  line-height: 15px;
  font-weight: 600;
  letter-spacing: 0.39px;
}

.category-dapp-description {
  overflow: hidden;
  height: 28px;
  margin-top: 3px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 11px;
  line-height: 14px;
  letter-spacing: 0.36px;
}

.category-dapp {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-right: 12px;
  margin-bottom: 0px;
  margin-left: 12px;
  -webkit-align-self: auto;
  -ms-flex-item-align: auto;
  align-self: auto;
  -webkit-box-ordinal-group: 1;
  -webkit-order: 0;
  -ms-flex-order: 0;
  order: 0;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  border-radius: 16px;
  -webkit-transition: background-color 200ms ease;
  transition: background-color 200ms ease;
}

.category-dapp:hover {
  border: 1px none #000;
  border-radius: 16px;
  background-color: rgba(236, 221, 255, 0.4);
}

.category-dapp-details {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 208px;
  margin-left: 16px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
}

.category-type {
  margin-bottom: 0px;
  padding-top: 24px;
  padding-bottom: 24px;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  border-bottom: 1px solid #f5eeff;
}

.bottom-color-block {
  position: relative;
  left: 0%;
  top: auto;
  right: 0%;
  bottom: 0%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  height: 24px;
  margin-top: 40px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: end;
  -webkit-justify-content: flex-end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  -webkit-box-align: end;
  -webkit-align-items: flex-end;
  -ms-flex-align: end;
  align-items: flex-end;
  background-color: #ecddff;
}

.nav-option {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-top: 40px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-flex: 0;
  -webkit-flex: 0 auto;
  -ms-flex: 0 auto;
  flex: 0 auto;
}

.icon {
  width: 24px;
  height: 24px;
  margin-bottom: 4px;
  background-image: url("/statics/images/dapps-selected.svg");
  background-position: 50% 50%;
  background-size: contain;
}

.icon.contacts {
  background-image: url("/statics/images/contact-unselected.svg");
}

.icon.wallet {
  background-image: url("/statics/images/wallet-unselected.svg");
}

.icon.files {
  background-image: url("/statics/images/files-unselected.svg");
}

.label {
  font-family: "IBM Plex Sans", sans-serif;
  color: #b375ff;
  font-size: 13px;
  line-height: 16px;
  text-align: center;
}

.label.unselected {
  color: #ada6b5;
}

.dapp-category-grid {
  display: -ms-grid;
  display: grid;
  overflow: show;
  margin-top: 24px;
  padding-right: 12px;
  padding-left: 12px;
  -webkit-box-pack: start;
  -webkit-justify-content: start;
  -ms-flex-pack: start;
  justify-content: start;
  justify-items: start;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: start;
  -webkit-align-items: start;
  -ms-flex-align: start;
  align-items: start;
  -webkit-align-content: start;
  -ms-flex-line-pack: start;
  align-content: start;
  grid-auto-flow: row;
  grid-auto-columns: 1fr;
  grid-column-gap: 16px;
  grid-row-gap: 24px;
  grid-template-columns: repeat(auto-fit, minmax(240px, 2fr));
  grid-template-rows: repeat(auto-fit, minmax(56px, 1fr));
}

.dapp-2 {
  position: relative;
  z-index: 0;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-right: 0px;
  margin-bottom: 0px;
  margin-left: 0px;
  padding: 8px 8px;
  -webkit-align-self: auto;
  -ms-flex-item-align: auto;
  align-self: auto;
  -webkit-box-ordinal-group: 1;
  -webkit-order: 0;
  -ms-flex-order: 0;
  order: 0;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  border-radius: 24px;
  box-shadow: inset 0 0 0 0px #b375ff, 0 0px 0px 0 rgba(120, 93, 153, 0);
  -webkit-transition: all 200ms ease;
  transition: all 200ms ease;
}

.dapp-2:hover {
  position: relative;
  z-index: 100;
  padding: 8px 8px;
  border: 1px none #000;
  border-radius: 24px;
  background-color: #fff;
  box-shadow: inset 0 0 0 1px #b375ff, 0 8px 16px 0 rgba(120, 93, 153, 0.2);
}

.cat-title-and-button {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-right: 24px;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.more-button {
  border-style: solid;
  border-width: 1px;
  border-color: #ecddff;
  border-radius: 20px;
  -webkit-transition: all 200ms ease;
  transition: all 200ms ease;
}

.more-button:hover {
  background-color: rgba(236, 221, 255, 0.4);
  -webkit-transform: translate(4px, 0px);
  -ms-transform: translate(4px, 0px);
  transform: translate(4px, 0px);
}

.more-button-text {
  margin: 4px 12px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #b375ff;
  font-size: 12px;
  font-weight: 600;
}

.category-full-page {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 75vw;
  max-width: 936px;
  margin-top: -96px;
  /* margin-left: 72px; */
  padding-bottom: 0px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  border-bottom: 1px none #000;
  border-radius: 8px 8px 0px 0px;
  background-color: #fff;
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
}

.category-full-page-header {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 100vw;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-flex-wrap: nowrap;
  -ms-flex-wrap: nowrap;
  flex-wrap: nowrap;
  background-color: #f5eeff;
}

.category-full-page-header-content {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 75vw;
  height: auto;
  max-width: 936px;
  margin-top: 24px;
  margin-bottom: 120px;
  /* margin-left: 72px; */
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  align-self: center;
}

.back-button {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-left: 0px;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  align-self: center;
  border-style: none;
  border-width: 1px;
  border-color: #b375ff;
  border-radius: 20px;
  -webkit-transition: all 200ms ease;
  transition: all 200ms ease;
}

.back-arrow {
  width: 24px;
  height: 24px;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  -ms-grid-row-align: center;
  align-self: center;
  background-image: url("/statics/images/back-2.svg");
  background-position: 50% 50%;
  background-size: contain;
}

.back-arrow:hover {
  background-position: 50% 50%;
  background-size: 20px 20px;
}

.category-full-page-container {
  margin-bottom: 0px;
  padding-top: 24px;
  padding-bottom: 24px;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  border-bottom: 1px none #f5eeff;
}

.dapp-full-page-category-grid {
  display: -ms-grid;
  display: grid;
  margin-top: 24px;
  padding-right: 12px;
  padding-left: 12px;
  -webkit-box-pack: start;
  -webkit-justify-content: start;
  -ms-flex-pack: start;
  justify-content: start;
  justify-items: start;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: start;
  -webkit-align-items: start;
  -ms-flex-align: start;
  align-items: start;
  -webkit-align-content: start;
  -ms-flex-line-pack: start;
  align-content: start;
  grid-auto-flow: row;
  grid-auto-columns: 1fr;
  grid-column-gap: 24px;
  grid-row-gap: 24px;
  grid-template-columns: repeat(auto-fit, minmax(252px, 1fr));
  grid-template-rows: repeat(auto-fit, minmax(64px, 1fr));
}

.full-page-category-dapp {
  position: relative;
  z-index: 0;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-right: 12px;
  margin-bottom: 0px;
  margin-left: 12px;
  padding: 12px 8px;
  -webkit-align-self: auto;
  -ms-flex-item-align: auto;
  align-self: auto;
  -webkit-box-ordinal-group: 1;
  -webkit-order: 0;
  -ms-flex-order: 0;
  order: 0;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  border-radius: 24px;
  box-shadow: inset 0 0 0 0px #b375ff, 0 0px 0px 0 rgba(120, 93, 153, 0);
  -webkit-transition: all 200ms ease;
  transition: all 200ms ease;
}

.full-page-category-dapp:hover {
  position: relative;
  z-index: 100;
  padding: 12px 8px;
  border: 1px none #000;
  border-radius: 24px;
  background-color: #fff;
  box-shadow: inset 0 0 0 1px #b375ff, 0 8px 16px 0 rgba(120, 93, 153, 0.2);
}

.category-dapp-logo-outlined-full-page {
  width: 72px;
  height: 72px;
  margin: 4px;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  border-style: solid;
  border-width: 1px;
  border-color: hsla(0, 0%, 76.9%, 0.3);
  border-radius: 16px;
  background-color: #fff;
  background-image: url("/statics/images/placeholder.png");
  background-position: 50% 50%;
  background-size: cover;
}

.category-dapp-details-full-page {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: auto;
  margin: 4px 4px 8px 16px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  -webkit-align-self: flex-start;
  -ms-flex-item-align: start;
  align-self: flex-start;
}

.category-dapp-title-full-page {
  overflow: hidden;
  margin-top: 4px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 16px;
  line-height: 18px;
  font-weight: 600;
  letter-spacing: 0.39px;
}

.category-dapp-description-full-page {
  margin-top: 4px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: 0.36px;
}

.header-1-full-dapp-page {
  height: 32px;
  margin: 0px 24px 0px 0px;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  -ms-grid-row-align: center;
  align-self: center;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 24px;
  line-height: 32px;
  font-weight: 600;
}

.category-dropdown:active {
  position: relative;
  left: auto;
  top: 0%;
  right: 0%;
  bottom: auto;
  z-index: 100;
}

.bottom-circle-yay-fun {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  /* width: 719px; */
  height: 177px;
  margin-top: 64px;
  padding-top: 0px;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  background-image: url("/statics/images/bottom-circle.svg");
  background-position: 50% 100%;
  background-size: contain;
  background-repeat: no-repeat;
}

.arrow-pointy-nubbin {
  width: 16px;
  height: 4px;
  margin-top: 25px;
  background-image: url("/statics/images/social-bubble-arrow-point.svg");
  background-position: 50% 50%;
  background-size: contain;
  background-repeat: no-repeat;
}

.runriotllc {
  margin-top: 32px;
  border-style: none;
  border-width: 1px;
  border-color: #7f36da;
  font-family: "IBM Plex Sans", sans-serif;
  color: #7f36da;
  font-size: 10px;
  line-height: 13px;
}

.twitter {
  width: 24px;
  height: 20px;
  margin-top: 2px;
  margin-right: 20px;
  margin-left: 24px;
  padding-top: 0px;
  background-image: url("/statics/images/twitter.svg");
  background-position: 50% 50%;
  background-size: contain;
  background-repeat: no-repeat;
}

.twitter:hover {
  opacity: 0.6;
}

.floating-circle-above-the-bottom-circle {
  width: 64px;
  height: 64px;
  margin-top: -32px;
  border-radius: 50%;
  background-image: url("/statics/images/icon-color-reverse.svg"),
    -webkit-gradient(linear, left top, left bottom, from(#7f36da), to(#7f36da));
  background-image: url("/statics/images/icon-color-reverse.svg"),
    linear-gradient(180deg, #7f36da, #7f36da);
  background-position: 50% 50%, 0px 0px;
  background-size: 50px, auto;
  background-repeat: no-repeat, repeat;
  box-shadow: 0 8px 16px 0 rgba(66, 0, 149, 0.4);
}

.rectangle-around-social-icons {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: auto;
  height: 40px;
  padding-top: 0px;
  padding-bottom: 0px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  border-radius: 6px;
  background-color: hsla(0, 0%, 100%, 0.5);
}

.gitlab {
  width: 24px;
  height: 21px;
  margin-top: 2px;
  margin-right: 24px;
  margin-left: 20px;
  background-image: url("/statics/images/gitlab.svg");
  background-position: 50% 50%;
  background-size: contain;
  background-repeat: no-repeat;
}

.gitlab:hover {
  opacity: 0.6;
}

.footer-container {
  position: fixed;
  left: 0%;
  top: auto;
  right: 0%;
  bottom: 0%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  height: 240px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.bottom-circle-content {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.product-hunt {
  width: 24px;
  height: 22px;
  margin-right: 20px;
  margin-left: 20px;
  background-image: url("/statics/images/product-hunt.svg");
  background-position: 50% 50%;
  background-size: contain;
  background-repeat: no-repeat;
}

.product-hunt:hover {
  opacity: 0.6;
}

.facebook {
  width: 24px;
  height: 20px;
  margin-right: 20px;
  margin-left: 20px;
  background-image: url("/statics/images/facebook.svg");
  background-position: 50% 50%;
  background-size: contain;
  background-repeat: no-repeat;
}

.facebook:hover {
  opacity: 0.6;
}

.dapp-card-wrapper {
  position: fixed;
  left: 0px;
  top: 0px;
  right: 0px;
  bottom: 0px;
  z-index: 9999;
  display: none;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.6);
}

.dapp-card {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 400px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  border-radius: 8px;
  background-color: #fff;
  background-image: url("/statics/images/top-circle.svg");
  background-position: 50% 0%;
  background-size: 125%;
  background-repeat: no-repeat;
  box-shadow: 0 16px 32px 0 rgba(0, 0, 0, 0.1);
}

.close-dapp-card {
  width: 32px;
  height: 32px;
  margin: 8px;
  background-image: url("/statics/images/close-x.svg");
  background-position: 50% 50%;
  background-size: contain;
  -webkit-transition: all 200ms ease;
  transition: all 200ms ease;
}

.close-dapp-card:hover {
  -webkit-transform: scale(0.8);
  -ms-transform: scale(0.8);
  transform: scale(0.8);
}

.dapp-card-close-section {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: end;
  -webkit-justify-content: flex-end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}

.dapp-card-icon-section {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.dapp-card-icon {
  overflow: hidden;
  width: 128px;
  height: 128px;
  margin-right: 0px;
  margin-bottom: 8px;
  margin-left: 0px;
  border-radius: 18px;
  background-color: #fff;
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
}

.dapp-card-icon:hover {
  box-shadow: 0 23px 32px 0 rgba(120, 93, 153, 0.2);
}

.qr-card-icon {
  overflow: hidden;
  width: 300px;
  height: 300px;
  margin: 8px;
  padding: 24px;
  border-radius: 18px;
  background-color: #fff;
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
}

.dapp-card-name-section {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin: 16px 24px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 24px;
  line-height: 32px;
  font-weight: 600;
}

.dapp-card-star-divider {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin: 20px 24px 4px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  border-style: solid none none;
  border-width: 1px;
  border-color: #ededed;
}

.dapp-card-description-section {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin: 16px 24px 8px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 15px;
  line-height: 22px;
}

.dapp-card-star {
  width: 40px;
  height: 40px;
  margin-top: -20px;
  padding-left: 0px;
  border-style: solid;
  border-width: 1px;
  border-color: #ededed;
  border-radius: 20px;
  background-color: #fff;
  background-image: url("/statics/images/not-favorite.svg");
  background-position: 50% 45%;
  background-size: 24px 24px;
  background-repeat: no-repeat;
}

.dapp-card-star:hover {
  background-color: #f9f4ff;
  background-image: url("/statics/images/favorite.svg");
  opacity: 0.7;
}

.dapp-card-category-section {
  margin-right: 24px;
  margin-bottom: 16px;
  margin-left: 24px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #7f36da;
  font-weight: 600;
}

.text-block {
  font-size: 12px;
}

.dapp-card-standard-divider {
  margin-right: 24px;
  margin-bottom: 16px;
  margin-left: 24px;
  border-style: solid none none;
  border-width: 1px;
  border-color: #ededed;
}

.dapp-card-social-icons {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-right: 24px;
  margin-bottom: 24px;
  margin-left: 24px;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.social-icon-github {
  width: 16px;
  height: 16px;
  margin-right: 16px;
  background-image: url("/statics/images/social-icon-github.svg");
  background-position: 50% 50%;
  background-size: contain;
}

.social-icon-github:hover {
  opacity: 0.7;
}

.social-icon-twitter {
  width: 16px;
  height: 16px;
  margin-right: 16px;
  background-image: url("/statics/images/social-icon-twitter.svg");
  background-position: 50% 50%;
  background-size: contain;
}

.social-icon-twitter:hover {
  opacity: 0.7;
}

.dapp-card-launch-button-section {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-right: 24px;
  margin-bottom: 24px;
  margin-left: 24px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.dapp-card-launch-button {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  padding: 8px 16px;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  border-radius: 20px;
  background-color: #b375ff;
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
  -webkit-transition: all 200ms ease;
  transition: all 200ms ease;
  font-family: "IBM Plex Sans", sans-serif;
  color: #fff;
  font-size: 16px;
  line-height: 22px;
  font-weight: 600;
}

.dapp-card-launch-button:hover {
  -webkit-transform: translate(0px, -2px) scale(1.05);
  -ms-transform: translate(0px, -2px) scale(1.05);
  transform: translate(0px, -2px) scale(1.05);
}

.featured-card {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  height: 160px;
  max-width: 936px;
  margin-top: 24px;
  margin-bottom: 48px;
  margin-left: 0px;
  padding-bottom: 0px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  border-bottom: 1px none #000;
  border-radius: 8px;
  background-color: #fff;
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
}

.featured-card._1 {
  margin-top: 0px;
  margin-bottom: 0px;
  background-image: url("/statics/images/ashley-whitlatch-x2fVNBJn-sE-unsplash.jpg");
  background-position: 50% 50%;
  background-size: cover;
  background-repeat: no-repeat;
}

.featured-card._2 {
  background-image: url("/statics/images/hilthart-pedersen-AK9ZJNTDr5U-unsplash.jpg");
  background-position: 50% 50%;
  background-size: cover;
}

.featured-card._3 {
  background-image: url("/statics/images/marten-bjork-FVtG38Cjc_k-unsplash.jpg");
  background-position: 50% 50%;
  background-size: cover;
}

.featured-card.wavy {
  margin-top: 0px;
  margin-bottom: 0px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  background-image: url("/statics/images/favorite.svg"),
    url("/statics/images/favorite.svg"), url("/statics/images/not-favorite.svg"),
    url("/statics/images/not-favorite.svg"), url("/statics/images/favorite.svg"),
    -webkit-gradient(linear, left bottom, left top, from(rgba(236, 221, 255, 0.4)), to(hsla(0, 0%, 100%, 0.5))),
    url("/statics/images/wavy-favy.svg");
  background-image: url("/statics/images/favorite.svg"),
    url("/statics/images/favorite.svg"), url("/statics/images/not-favorite.svg"),
    url("/statics/images/not-favorite.svg"), url("/statics/images/favorite.svg"),
    linear-gradient(0deg, rgba(236, 221, 255, 0.4), hsla(0, 0%, 100%, 0.5)),
    url("/statics/images/wavy-favy.svg");
  background-position: 57% 14%, 96% 75%, 40% 95%, 90% 10%, 10% 30%, 0px 0px,
    100% 90%;
  background-size: 18px 28px, 16px 16px, 24px 24px, 20px 20px, 24px 24px, auto,
    cover;
  background-repeat: no-repeat, no-repeat, no-repeat, no-repeat, no-repeat,
    repeat, no-repeat;
}

.dapp-categories-title {
  height: 32px;
  margin: 0px 24px 124px;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  -ms-grid-row-align: center;
  align-self: center;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 24px;
  line-height: 32px;
  font-weight: 600;
}

.favorites-row-featured-page {
  display: -ms-grid;
  display: grid;
  margin-top: 24px;
  margin-bottom: 48px;
  padding-right: 24px;
  padding-left: 24px;
  justify-items: start;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  grid-auto-columns: 1fr;
  grid-column-gap: 24px;
  grid-row-gap: 24px;
  grid-template-columns: repeat(auto-fit, minmax(64px, 1fr));
  -ms-grid-rows: auto;
  grid-template-rows: auto;
}

.header-featured-title {
  height: 32px;
  margin: 0px 24px;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  -ms-grid-row-align: center;
  align-self: center;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 24px;
  line-height: 32px;
  font-weight: 600;
}

.header-1-featured {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  height: 32px;
  margin-right: 24px;
  margin-bottom: 0px;
  margin-left: 24px;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  align-self: center;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 24px;
  line-height: 32px;
  font-weight: 600;
}

.featured-section {
  display: -ms-grid;
  display: grid;
  overflow: visible;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  grid-auto-flow: row;
  grid-auto-columns: 1fr;
  grid-column-gap: 16px;
  grid-row-gap: 16px;
  -ms-grid-columns: minmax(auto, 320px) minmax(auto, 320px) minmax(auto, 320px);
  grid-template-columns: minmax(auto, 320px) minmax(auto, 320px) minmax(auto,
      320px);
  -ms-grid-rows: minmax(auto, 1fr);
  grid-template-rows: minmax(auto, 1fr);
}

.no-favorites {
  display: -ms-grid;
  display: grid;
  overflow: visible;
  margin-top: 24px;
  margin-bottom: 132px;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  grid-auto-flow: row;
  grid-auto-columns: 1fr;
  grid-column-gap: 16px;
  grid-row-gap: 16px;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  -ms-grid-rows: minmax(auto, 1fr);
  grid-template-rows: minmax(auto, 1fr);
}

.no-favorites-h1 {
  margin-top: 4px;
  margin-bottom: 4px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 18px;
  font-weight: 600;
}

.no-favorites-h2 {
  margin-top: 4px;
  margin-bottom: 4px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #7f37da;
}

.no-favorites-instruct {
  margin-top: 40px;
  margin-bottom: 40px;
  padding: 16px;
  border-radius: 8px;
  background-color: hsla(0, 0%, 100%, 0.9);
}

.favorite {
  position: absolute;
  width: 40px;
  height: 40px;
  padding-left: 0px;
  border-style: solid;
  border-width: 1px;
  border-color: #ededed;
  border-radius: 20px;
  background-color: #fff;
  background-image: url("/statics/images/favorite.svg");
  background-position: 50% 45%;
  background-size: 24px 24px;
  background-repeat: no-repeat;
}

.favorite:hover {
  background-color: #f9f4ff;
  background-image: url("/statics/images/favorite.svg");
  opacity: 0.7;
}

.no-favorites-card {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  height: 160px;
  max-width: 936px;
  margin-top: 24px;
  margin-bottom: 48px;
  margin-left: 0px;
  padding-bottom: 0px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  border-bottom: 1px none #000;
  border-radius: 8px;
  background-color: #fff;
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
}

.no-favorites-card._1 {
  margin-top: 0px;
  margin-bottom: 0px;
  background-image: url("/statics/images/ashley-whitlatch-x2fVNBJn-sE-unsplash.jpg");
  background-position: 50% 50%;
  background-size: cover;
  background-repeat: no-repeat;
}

.no-favorites-card._2 {
  background-image: url("/statics/images/hilthart-pedersen-AK9ZJNTDr5U-unsplash.jpg");
  background-position: 50% 50%;
  background-size: cover;
}

.no-favorites-card._3 {
  background-image: url("/statics/images/marten-bjork-FVtG38Cjc_k-unsplash.jpg");
  background-position: 50% 50%;
  background-size: cover;
}

.no-favorites-card.wavy {
  height: auto;
  margin-top: 0px;
  margin-bottom: 0px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  background-image: url("/statics/images/favorite.svg"),
    url("/statics/images/favorite.svg"), url("/statics/images/not-favorite.svg"),
    url("/statics/images/not-favorite.svg"), url("/statics/images/favorite.svg"),
    -webkit-gradient(linear, left bottom, left top, from(rgba(236, 221, 255, 0.4)), to(hsla(0, 0%, 100%, 0.5))),
    url("/statics/images/wavy-favy.svg");
  background-image: url("/statics/images/favorite.svg"),
    url("/statics/images/favorite.svg"), url("/statics/images/not-favorite.svg"),
    url("/statics/images/not-favorite.svg"), url("/statics/images/favorite.svg"),
    linear-gradient(0deg, rgba(236, 221, 255, 0.4), hsla(0, 0%, 100%, 0.5)),
    url("/statics/images/wavy-favy.svg");
  background-position: 57% 14%, 96% 75%, 40% 95%, 90% 10%, 10% 30%, 0px 0px,
    100% 90%;
  background-size: 18px 28px, 16px 16px, 24px 24px, 20px 20px, 24px 24px, auto,
    cover;
  background-repeat: no-repeat, no-repeat, no-repeat, no-repeat, no-repeat,
    repeat, no-repeat;
}

.nothing-here {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  min-height: 80vh;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.totally-empty-boring {
  display: block;
  margin: 48px 24px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  -ms-grid-row-align: center;
  align-self: center;
  font-family: "IBM Plex Sans", sans-serif;
  color: #7f36da;
  font-weight: 600;
}

.down-there-arrow {
  opacity: 0.3;
}

.arrow {
  width: 160px;
  -webkit-transform: rotate(15deg);
  -ms-transform: rotate(15deg);
  transform: rotate(15deg);
}

.text-block-2 {
  margin: 24px;
}

.div-block {
  height: 80vh;
}

.recents-grid {
  display: -ms-grid;
  display: grid;
  margin-top: 24px;
  margin-bottom: 124px;
  padding-right: 24px;
  padding-left: 24px;
  -webkit-box-pack: stretch;
  -webkit-justify-content: stretch;
  -ms-flex-pack: stretch;
  justify-content: stretch;
  justify-items: stretch;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  grid-auto-columns: 1fr;
  grid-column-gap: 24px;
  grid-row-gap: 16px;
  grid-template-columns: repeat(auto-fit, minmax(240px, 0.5fr));
  -ms-grid-rows: auto;
  grid-template-rows: auto;
}

.recent-grid {
  margin: 0px;
}

.recent-file {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  overflow: hidden;
  height: 64px;
  margin-right: 0px;
  margin-bottom: 8px;
  margin-left: 0px;
  border-radius: 18px;
  background-color: #fff;
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
  -webkit-transition: -webkit-transform 200ms ease;
  transition: -webkit-transform 200ms ease;
  transition: transform 200ms ease;
  transition: transform 200ms ease, -webkit-transform 200ms ease;
}

.recent-file:hover {
  box-shadow: 0 23px 32px 0 rgba(120, 93, 153, 0.2);
  -webkit-transform: translate(0px, -4px);
  -ms-transform: translate(0px, -4px);
  transform: translate(0px, -4px);
}

.recent-filename {
  overflow: hidden;
  margin-bottom: 2px;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 14px;
  line-height: 15px;
  font-weight: 600;
  text-align: center;
  letter-spacing: 0.39px;
}

.file-icon {
  width: 16px;
  height: 100%;
  background-image: url("/statics/images/file-white.svg");
  background-position: 50% 50%;
  background-size: contain;
  background-repeat: no-repeat;
}

.left-bit {
  margin-right: 16px;
  padding-right: 4px;
  padding-left: 4px;
  background-color: #b375ff;
}

.file-info {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  overflow: hidden;
  margin-right: 16px;
  padding-top: 8px;
  padding-right: 0px;
  padding-bottom: 8px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
}

.file-metadata2 {
  font-family: "IBM Plex Sans", sans-serif;
  color: #ada6b5;
  font-size: 12px;
  line-height: 16px;
}

.image {
  width: 160px;
}

.landing-section {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  /* max-width: 1080px; */
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  /* padding-top: 8px; */
}

.blockstack-button {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-top: 8px;
  margin-right: 8px;
  margin-bottom: 8px;
  padding: 8px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  align-self: center;
  border-style: solid;
  border-width: 1px;
  border-color: #7e35d9;
  border-radius: 8px;
  background-color: #fff;
}

.blockstack-button:hover {
  background-color: #ead9ff;
  cursor: pointer;
}

.blockstack-logo {
  width: 24px;
  height: 24px;
  background-image: url("/statics/images/blockstack.svg");
  background-position: 50% 50%;
  background-size: cover;
}

.another-part-of-the-button {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-right: 0px;
  margin-left: 8px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  align-self: center;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  font-family: "IBM Plex Sans", sans-serif;
}

.sign-in-blockstack {
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  -ms-grid-row-align: center;
  align-self: center;
  font-family: "IBM Plex Sans", sans-serif;
  color: #000;
  font-size: 14px;
  font-weight: 400;
  text-align: center;
}

.body-2 {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  border-radius: 0px;
}

.header-landing {
  font-family: "IBM Plex Sans", sans-serif;
  font-size: 40px;
  line-height: 40px;
  font-weight: 600;
}

.header-messaging {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-top: 80px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.underline {
  position: relative;
  z-index: -10;
  width: 480px;
  height: 24px;
  margin-top: -16px;
  background-color: rgba(213, 179, 255, 0.4);
}

.body-landing {
  width: 480px;
  margin-top: 32px;
  padding-right: 6px;
  padding-left: 6px;
  font-family: Lato, sans-serif;
  color: #27261e;
  font-size: 18px;
  line-height: 28px;
}

.devices {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-bottom: 0px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.phone {
  display: none;
  width: 480px;
}

.laptop {
  width: 800px;
  margin-top: 40px;
  margin-bottom: 40px;
}

@media (max-width: 991px) {
  .top-bar-search {
    margin-top: 8px;
    margin-bottom: 8px;
  }

  .favorites-row {
    padding-right: 24px;
    padding-left: 24px;
    -webkit-box-pack: stretch;
    -webkit-justify-content: stretch;
    -ms-flex-pack: stretch;
    justify-content: stretch;
    justify-items: center;
    -webkit-box-align: stretch;
    -webkit-align-items: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
    grid-auto-rows: minmax(96px, 1fr);
    grid-column-gap: 80px;
    grid-template-columns:
      repeat(auto-fit, minmax(64px, 1fr)) minmax(64px, 1fr) minmax(64px, 1fr) minmax(64px, 1fr);
    -ms-grid-rows: minmax(96px, 1fr);
    grid-template-rows: minmax(96px, 1fr);
  }

  .category-dapp-details {
    width: 180px;
  }

  .dapp-category-grid {
    grid-auto-columns: 1fr;
    grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  }

  .category-full-page-container {
    padding-right: 16px;
    padding-left: 16px;
  }

  .dapp-full-page-category-grid {
    padding-right: 0px;
    padding-left: 0px;
    grid-auto-columns: 1fr;
    grid-column-gap: 24px;
  }

  .full-page-category-dapp {
    margin-right: 0px;
    margin-left: 0px;
  }

  .category-dapp-details-full-page {
    width: auto;
  }

  .category-dapp-description-full-page {
    margin-top: 4px;
  }

  .arrow-pointy-nubbin {
    margin-top: 20px;
  }

  .footer-container {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: stretch;
    -webkit-align-items: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
  }

  .featured-section {
    -ms-grid-columns: minmax(200px, 320px) minmax(200px, 360px) minmax(200px, 360px);
    grid-template-columns: minmax(200px, 320px) minmax(200px, 360px) minmax(200px,
        360px);
  }
}

@media (max-width: 767px) {
  .left-nav-bg.mobile-nav {
    left: 0%;
    top: auto;
    right: 0%;
    bottom: 0%;
    z-index: 1;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-align-self: stretch;
    -ms-flex-item-align: stretch;
    -ms-grid-row-align: stretch;
    align-self: stretch;
    background-color: transparent;
  }

  .top-bar {
    -webkit-box-flex: 0;
    -webkit-flex: 0 auto;
    -ms-flex: 0 auto;
    flex: 0 auto;
  }

  .categories {
    width: 100%;
    max-width: none;
    margin-left: 0px;
  }

  .categories.recents {
    margin-top: -124px;
  }

  .webby-logo {
    display: none;
    margin-left: 0px;
  }

  .top-bar-content {
    margin-left: 0px;
    -webkit-box-pack: start;
    -webkit-justify-content: flex-start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
  }

  .top-bar-search {
    width: 100%;
    margin-left: 8px;
  }

  .favorites-block-content {
    width: 100%;
    max-width: none;
    margin-left: 0px;
  }

  .recents-block-content {
    width: 100%;
    max-width: none;
    margin-bottom: 124px;
    margin-left: 0px;
  }

  .favorites-row {
    padding-right: 24px;
    padding-left: 24px;
    grid-column-gap: 48px;
    grid-template-columns: repeat(auto-fit, minmax(64px, 1fr)) minmax(64px, 1fr) minmax(64px,
        1fr);
  }

  .nav-option {
    width: 80px;
    margin-top: 0px;
  }

  .icon {
    margin-top: 8px;
    margin-bottom: 0px;
  }

  .label {
    margin-bottom: 8px;
  }

  .nav-options {
    position: fixed;
    left: 0%;
    top: auto;
    right: 0%;
    bottom: 0%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-justify-content: space-around;
    -ms-flex-pack: distribute;
    justify-content: space-around;
    background-color: #fff;
    box-shadow: 0 1px 4px 0 rgba(120, 93, 153, 0.2);
  }

  .category-full-page {
    width: 100%;
    max-width: none;
    margin-left: 0px;
  }

  .category-full-page-header-content {
    width: 100%;
    max-width: none;
    margin-left: 0px;
    padding-left: 8px;
  }

  .header-1-full-dapp-page {
    font-size: 22px;
  }

  .bottom-circle-yay-fun {
    margin-top: 88px;
  }

  .floating-circle-above-the-bottom-circle {
    width: 56px;
    height: 56px;
    background-image: url("/statics/images/icon-color-reverse.svg"),
      -webkit-gradient(linear, left top, left bottom, from(null), to(null));
    background-image: url("/statics/images/icon-color-reverse.svg"),
      linear-gradient(180deg, null, null);
    background-size: 40px, auto;
  }

  .footer-container {
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
  }

  .featured-card {
    width: 100%;
    max-width: none;
    margin-left: 0px;
  }

  .favorites-row-featured-page {
    grid-row-gap: 8px;
    grid-template-columns: repeat(auto-fit, minmax(56px, 1fr));
  }

  .no-favorites {
    padding-right: 24px;
    padding-left: 24px;
  }

  .no-favorites-card {
    width: 100%;
    max-width: none;
    margin-left: 0px;
  }

  .nothing-here {
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
  }

  .totally-empty-boring {
    margin-right: 24px;
    margin-left: 24px;
  }

  .recents-grid {
    overflow: visible;
    margin-bottom: 0px;
    padding-bottom: 24px;
    grid-auto-flow: column;
    grid-row-gap: 16px;
    grid-template-columns:
      repeat(auto-fit, minmax(240px, 1fr)) minmax(240px, 1fr) minmax(240px, 1fr);
    -ms-grid-rows: auto auto;
    grid-template-rows: auto auto;
  }

  .recents-grid-scroll-container {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    overflow: auto;
  }

  .body-2 {
    overflow: hidden;
  }

  .header-landing {
    font-size: 36px;
    line-height: 36px;
  }

  .underline {
    width: 92%;
  }

  .body-landing {
    width: 90%;
    max-width: 432px;
    margin-right: 24px;
    margin-left: 24px;
    font-size: 16px;
    line-height: 26px;
  }

  .phone {
    display: block;
  }

  .laptop {
    display: none;
  }

  .bottom-circle-yay-fun {
    width: 720px;
  }

  .underline {
    width: 440px;
  }
}

@media (max-width: 479px) {
  .bottom-circle-yay-fun {
    width: 720px;
    margin-top: 56px;
  }

  .header-1 {
    margin-right: 16px;
    margin-left: 16px;
  }

  .favorites-row {
    padding-right: 16px;
    padding-left: 16px;
    justify-items: start;
    -webkit-align-content: start;
    -ms-flex-line-pack: start;
    align-content: start;
    grid-column-gap: 24px;
    grid-template-columns: repeat(auto-fit, minmax(64px, 1fr)) minmax(64px, 1fr) minmax(64px,
        1fr);
  }

  .category-type-title {
    margin-left: 16px;
  }

  .category-dapp-details {
    width: 100%;
  }

  .dapp-category-grid {
    padding-right: 4px;
    padding-left: 4px;
  }

  .cat-title-and-button {
    margin-right: 16px;
  }

  .category-full-page-container {
    padding-top: 8px;
    padding-right: 8px;
    padding-left: 8px;
  }

  .dapp-full-page-category-grid {
    margin-top: 16px;
    padding-right: 0px;
    padding-left: 0px;
    grid-column-gap: 16px;
    grid-row-gap: 16px;
  }

  .header-1-full-dapp-page {
    margin-right: 16px;
    margin-left: 8px;
  }

  .dapp-card-wrapper {
    padding-right: 16px;
    padding-left: 16px;
  }

  .dapp-categories-title {
    margin-right: 16px;
    margin-left: 16px;
  }

  .favorites-row-featured-page {
    padding-right: 16px;
    padding-left: 16px;
    -webkit-align-content: start;
    -ms-flex-line-pack: start;
    align-content: start;
  }

  .header-featured-title {
    margin-right: 16px;
    margin-left: 16px;
  }

  .header-1-featured {
    margin-right: 16px;
    margin-left: 16px;
  }

  .no-favorites {
    padding-right: 16px;
    padding-left: 16px;
  }

  .no-favorites-h1 {
    font-size: 16px;
    line-height: 22px;
  }

  .no-favorites-h2 {
    font-size: 13px;
    line-height: 18px;
  }

  .no-favorites-instruct {
    margin-right: 40px;
    margin-left: 40px;
    padding-top: 8px;
    padding-bottom: 8px;
  }

  .no-favorites-card.wavy {
    background-position: 57% 14%, 96% 75%, 40% 95%, 90% 6%, 3% 30%, 0px 0px,
      100% 90%;
  }

  .nothing-here {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: start;
    -webkit-justify-content: flex-start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
  }

  .totally-empty-boring {
    margin-top: 48px;
    margin-bottom: 48px;
  }

  .down-there-arrow {
    max-width: 100%;
    opacity: 0.3;
  }

  .arrow {
    width: 160px;
    -webkit-transform: rotate(15deg);
    -ms-transform: rotate(15deg);
    transform: rotate(15deg);
  }

  .recents-grid {
    padding-right: 16px;
    padding-left: 16px;
    -webkit-align-content: start;
    -ms-flex-line-pack: start;
    align-content: start;
  }

  .image {
    width: 120px;
  }

  .blockstack-button {
    padding: 4px;
  }

  .blockstack-logo {
    width: 18px;
    height: 18px;
  }

  .sign-in-blockstack {
    font-size: 12px;
  }

  .header-landing {
    width: 80%;
    font-size: 24px;
    line-height: 24px;
    text-align: center;
  }

  .header-messaging {
    margin-top: 56px;
  }

  .underline {
    width: 100%;
    max-width: 310px;
    height: 14px;
    margin-top: -9px;
  }

  .body-landing {
    width: 100%;
    max-width: 340px;
    padding-left: 16px;
    padding-right: 16px;
    margin-top: 16px;
    font-size: 14px;
    line-height: 21px;
  }
}

.features {
  min-height: 328px;
  background-image: linear-gradient(to bottom, #fbfbfb, #ecddff);
}

.feature-text-lg {
  height: 69px;
  font-size: 18px;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #000000;
  margin-top: 16px;
}

.feature-text {
  height: 72px;
  font-size: 13px;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #000000;
  margin-top: 16px;
}
